﻿@page
@model MovieCatalog.RazorPagesView.Pages.Actors.ActorsIndexModel
@{
    ViewData["Title"] = "Actors";
}

<div class="text-center">
    <h1>Actors</h1>
    <a asp-page="./CreateActor">Create</a>
    <form method="post">
        <table>
            <thead>
                <tr>
                    <td>First Name</td>
                    <td>Last Name</td>
                    <td>Date of Birth</td>
                    <td>Actions</td>
                </tr>
            </thead>
        @foreach (var actor in Model.Actors)
        {
            <tr>
                <td>@actor.FirstName</td>
                <td>@actor.LastName</td>
                <td>@actor.DateOfBirth.ToString("d")</td>
                <td>
                    <a asp-page="./UpdateActor" asp-route-id="@actor.Id">Update</a>
                    <button type="submit" asp-page-handler="delete" asp-route-id="@actor.Id">Delete</button>
                </td>
            </tr>
        }
        </table>
    </form>
</div>
